WinDom: APPprivate_struct Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# APPprivate_struct Struct Reference

`#include <globals.h>`

## Data Fields
short | xpixelbytes
short | xscrn_planes
size_t | pos
char | debug [255]
int | first
int | init_fontsel
SLCT_STR * | slct
long * | fsel
int | type_mxalloc
CONFIG | config
int | _res
WINDOWLIST * | __windowlist
WINDOW * | desk
WORD | __iconlist [MAX_ICON]
int | __bubble_quit
int | _menu_disabled
bubble * | bubble_index
char | __confpath [FILE_SIZE]
fontid * | listfontid
int | maxfontid
char * | __confapp_buffer
int | __confapp_line_top
int | __confapp_line_pos
char * | __confdef_buffer
int | __confdef_line_top
int | __confdef_line_pos
size_t | __confgetline_pos
char * | __av_name
char | __av_server [9]
INT16 | __av_status [3]
int | mouse
ty_obspec_dup * | __list_obspec_dup
char | file [FILE_SIZE]
int | xrsrc_init
OBJECT * | frame_slider
OBJECT * | mnscroll
LIST | udef_lib
short | udlib_vdih
| VDI handle provided to userdef library.
int | udlib_garbage
| 0 means no garbage needed; +1 means userdef lib have been loaded but maybe some of them remains unused so a garbage is needed; -1 means an userdef object has been freed and maybe the corresponding userdef lib need to be freed now

## Field Documentation

char* APPprivate_struct::__av_name

char APPprivate_struct::__av_server[9]

INT16 APPprivate_struct::__av_status[3]

int APPprivate_struct::__bubble_quit

char* APPprivate_struct::__confapp_buffer

int APPprivate_struct::__confapp_line_pos

int APPprivate_struct::__confapp_line_top

char* APPprivate_struct::__confdef_buffer

int APPprivate_struct::__confdef_line_pos

int APPprivate_struct::__confdef_line_top

size_t APPprivate_struct::__confgetline_pos

char APPprivate_struct::__confpath[FILE_SIZE]

WORD APPprivate_struct::__iconlist[MAX_ICON]

struct ty_obspec_dup* APPprivate_struct::__list_obspec_dup

WINDOWLIST* APPprivate_struct::__windowlist

int APPprivate_struct::_menu_disabled

int APPprivate_struct::_res

struct bubble* APPprivate_struct::bubble_index

CONFIG APPprivate_struct::config

char APPprivate_struct::debug[255]

WINDOW* APPprivate_struct::desk

char APPprivate_struct::file[FILE_SIZE]

int APPprivate_struct::first

OBJECT* APPprivate_struct::frame_slider

long* APPprivate_struct::fsel

int APPprivate_struct::init_fontsel

struct fontid* APPprivate_struct::listfontid

int APPprivate_struct::maxfontid

OBJECT* APPprivate_struct::mnscroll

int APPprivate_struct::mouse

size_t APPprivate_struct::pos

SLCT_STR* APPprivate_struct::slct

int APPprivate_struct::type_mxalloc

LIST APPprivate_struct::udef_lib

int APPprivate_struct::udlib_garbage

| 0 means no garbage needed; +1 means userdef lib have been loaded but maybe some of them remains unused so a garbage is needed; -1 means an userdef object has been freed and maybe the corresponding userdef lib need to be freed now

short APPprivate_struct::udlib_vdih

| VDI handle provided to userdef library.

short APPprivate_struct::xpixelbytes

int APPprivate_struct::xrsrc_init

short APPprivate_struct::xscrn_planes

The documentation for this struct was generated from the following file:

- globals.h